package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2019/6/5
 */
public class HomeworkRecoveryDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 上传时间
     */
    private String createTime;
    /**
     * 科目
     */
    private String subject;
    /**
     * 学生
     */
    private String studentName;
    /**
     * 是否有补拍(1:是，0：无)
     */
    private int ownReplenish;
    /**
     * 未批改数量
     */
    private int uncorrectedCount;
    /**
     * 年级
     */
    private String grade;
    /**
     * 作业id
     */
    private String homeworkId;
    /**
     * 类型
     */
    private int type;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public int getOwnReplenish() {
        return ownReplenish;
    }

    public void setOwnReplenish(int ownReplenish) {
        this.ownReplenish = ownReplenish;
    }

    public int getUncorrectedCount() {
        return uncorrectedCount;
    }

    public void setUncorrectedCount(int uncorrectedCount) {
        this.uncorrectedCount = uncorrectedCount;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }
}
